// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Primary design header
//
// This header should be included by all source files instantiating the design.
// The class here is then constructed to instantiate the design.
// See the Verilator manual for examples.

#ifndef _VMESQ_H_
#define _VMESQ_H_  // guard

#include "verilated_heavy.h"
#include "verilated_cov.h"

//==========

class VMESQ__Syms;
class VMESQ_VerilatedVcd;


//----------

VL_MODULE(VMESQ) {
  public:
    
    // PORTS
    // The application code writes and reads these signals to
    // propagate new values into/out from the Verilated model.
    VL_IN8(clk,0,0);
    VL_IN8(res_n,0,0);
    VL_IN8(opc_vld,0,0);
    VL_IN8(opc,4,0);
    VL_IN8(rd_q0,0,0);
    VL_IN8(rd_q1,0,0);
    VL_OUT8(data_q0,4,0);
    VL_OUT8(empty_q0,0,0);
    VL_OUT8(full_q0,0,0);
    VL_OUT8(data_q1,4,0);
    VL_OUT8(empty_q1,0,0);
    VL_OUT8(full_q1,0,0);
    
    // LOCAL SIGNALS
    // Internals; generally not touched by application code
    CData/*0:0*/ MESQ__DOT__STATE;
    CData/*0:0*/ MESQ__DOT__NEXT_STATE;
    CData/*0:0*/ MESQ__DOT__IDLE;
    CData/*0:0*/ MESQ__DOT__WRITE_QUEUE;
    CData/*0:0*/ MESQ__DOT__Q0_QUEUE_rd;
    CData/*4:0*/ MESQ__DOT__Q0_QUEUE_rd_data;
    CData/*0:0*/ MESQ__DOT__Q0_QUEUE_wr;
    CData/*4:0*/ MESQ__DOT__Q0_QUEUE_wr_data;
    CData/*0:0*/ MESQ__DOT__Q1_QUEUE_rd;
    CData/*4:0*/ MESQ__DOT__Q1_QUEUE_rd_data;
    CData/*0:0*/ MESQ__DOT__Q1_QUEUE_wr;
    CData/*4:0*/ MESQ__DOT__Q1_QUEUE_wr_data;
    CData/*2:0*/ MESQ__DOT__Q0_QUEUE__DOT__HEAD;
    CData/*2:0*/ MESQ__DOT__Q0_QUEUE__DOT__TAIL;
    CData/*2:0*/ MESQ__DOT__Q1_QUEUE__DOT__HEAD;
    CData/*2:0*/ MESQ__DOT__Q1_QUEUE__DOT__TAIL;
    IData/*31:0*/ MESQ__DOT__Q0_QUEUE__DOT__i;
    IData/*31:0*/ MESQ__DOT__Q1_QUEUE__DOT__i;
    CData/*4:0*/ MESQ__DOT__Q0_QUEUE__DOT__MEMORY[8];
    CData/*4:0*/ MESQ__DOT__Q1_QUEUE__DOT__MEMORY[8];
    
    // LOCAL VARIABLES
    // Internals; generally not touched by application code
    CData/*0:0*/ MESQ__DOT____Vtogcov__clk;
    CData/*0:0*/ MESQ__DOT____Vtogcov__res_n;
    CData/*0:0*/ MESQ__DOT____Vtogcov__opc_vld;
    CData/*4:0*/ MESQ__DOT____Vtogcov__opc;
    CData/*0:0*/ MESQ__DOT____Vtogcov__rd_q0;
    CData/*0:0*/ MESQ__DOT____Vtogcov__rd_q1;
    CData/*4:0*/ MESQ__DOT____Vtogcov__data_q0;
    CData/*0:0*/ MESQ__DOT____Vtogcov__empty_q0;
    CData/*0:0*/ MESQ__DOT____Vtogcov__full_q0;
    CData/*4:0*/ MESQ__DOT____Vtogcov__data_q1;
    CData/*0:0*/ MESQ__DOT____Vtogcov__empty_q1;
    CData/*0:0*/ MESQ__DOT____Vtogcov__full_q1;
    CData/*0:0*/ MESQ__DOT____Vtogcov__STATE;
    CData/*0:0*/ MESQ__DOT____Vtogcov__NEXT_STATE;
    CData/*0:0*/ MESQ__DOT____Vtogcov__IDLE;
    CData/*0:0*/ MESQ__DOT____Vtogcov__WRITE_QUEUE;
    CData/*0:0*/ MESQ__DOT____Vtogcov__Q0_QUEUE_rd;
    CData/*4:0*/ MESQ__DOT____Vtogcov__Q0_QUEUE_rd_data;
    CData/*0:0*/ MESQ__DOT____Vtogcov__Q0_QUEUE_wr;
    CData/*4:0*/ MESQ__DOT____Vtogcov__Q0_QUEUE_wr_data;
    CData/*0:0*/ MESQ__DOT____Vtogcov__Q1_QUEUE_rd;
    CData/*4:0*/ MESQ__DOT____Vtogcov__Q1_QUEUE_rd_data;
    CData/*0:0*/ MESQ__DOT____Vtogcov__Q1_QUEUE_wr;
    CData/*4:0*/ MESQ__DOT____Vtogcov__Q1_QUEUE_wr_data;
    CData/*2:0*/ MESQ__DOT__Q0_QUEUE__DOT____Vtogcov__HEAD;
    CData/*2:0*/ MESQ__DOT__Q0_QUEUE__DOT____Vtogcov__TAIL;
    CData/*2:0*/ MESQ__DOT__Q1_QUEUE__DOT____Vtogcov__HEAD;
    CData/*2:0*/ MESQ__DOT__Q1_QUEUE__DOT____Vtogcov__TAIL;
    CData/*4:0*/ __Vfunc_MESQ__DOT__POP_Q0_QUEUE__0__Vfuncout;
    CData/*0:0*/ __Vfunc_MESQ__DOT__POP_Q0_QUEUE__0__read;
    CData/*4:0*/ __Vfunc_MESQ__DOT__POP_Q1_QUEUE__1__Vfuncout;
    CData/*0:0*/ __Vfunc_MESQ__DOT__POP_Q1_QUEUE__1__read;
    CData/*4:0*/ __Vtask_MESQ__DOT__PUSH_Q0_QUEUE__2__write_data;
    CData/*4:0*/ __Vtask_MESQ__DOT__PUSH_Q1_QUEUE__4__write_data;
    CData/*0:0*/ __Vclklast__TOP__clk;
    CData/*0:0*/ __Vchglast__TOP__MESQ__DOT__Q0_QUEUE_rd;
    CData/*0:0*/ __Vchglast__TOP__MESQ__DOT__Q1_QUEUE_rd;
    CData/*4:0*/ MESQ__DOT__Q0_QUEUE__DOT____Vtogcov__MEMORY[8];
    CData/*4:0*/ MESQ__DOT__Q1_QUEUE__DOT____Vtogcov__MEMORY[8];
    CData/*0:0*/ __Vm_traceActivity[3];
    
    // INTERNAL VARIABLES
    // Internals; generally not touched by application code
    VMESQ__Syms* __VlSymsp;  // Symbol table
  private:
    // Coverage
    void __vlCoverInsert(uint32_t* countp, bool enable, const char* filenamep, int lineno, int column,
        const char* hierp, const char* pagep, const char* commentp, const char* linescovp);
  public:
    
    // CONSTRUCTORS
  private:
    VL_UNCOPYABLE(VMESQ);  ///< Copying not allowed
  public:
    /// Construct the model; called by application code
    /// The special name  may be used to make a wrapper with a
    /// single model invisible with respect to DPI scope names.
    VMESQ(const char* name = "TOP");
    /// Destroy the model; called (often implicitly) by application code
    ~VMESQ();
    /// Trace signals in the model; called by application code
    void trace(VerilatedVcdC* tfp, int levels, int options = 0);
    
    // API METHODS
    /// Evaluate the model.  Application must call when inputs change.
    void eval() { eval_step(); eval_end_step(); }
    /// Evaluate when calling multiple units/models per time step.
    void eval_step();
    /// Evaluate at end of a timestep for tracing, when using eval_step().
    /// Application must call after all eval() and before time changes.
    void eval_end_step();
    /// Simulation complete, run final blocks.  Application must call on completion.
    void final();
    
    // INTERNAL METHODS
  private:
    static void _eval_initial_loop(VMESQ__Syms* __restrict vlSymsp);
    void _traceDump();void _traceDumpOpen();void _traceDumpClose();public:
    void __Vconfigure(VMESQ__Syms* symsp, bool first);
  private:
    static QData _change_request(VMESQ__Syms* __restrict vlSymsp);
    static QData _change_request_1(VMESQ__Syms* __restrict vlSymsp);
  public:
    static void _combo__TOP__1(VMESQ__Syms* __restrict vlSymsp);
    static void _combo__TOP__6(VMESQ__Syms* __restrict vlSymsp);
  private:
    void _configure_coverage(VMESQ__Syms* __restrict vlSymsp, bool first) VL_ATTR_COLD;
    void _ctor_var_reset() VL_ATTR_COLD;
  public:
    static void _eval(VMESQ__Syms* __restrict vlSymsp);
  private:
#ifdef VL_DEBUG
    void _eval_debug_assertions();
#endif  // VL_DEBUG
  public:
    static void _eval_initial(VMESQ__Syms* __restrict vlSymsp) VL_ATTR_COLD;
    static void _eval_settle(VMESQ__Syms* __restrict vlSymsp) VL_ATTR_COLD;
    static void _initial__TOP__3(VMESQ__Syms* __restrict vlSymsp) VL_ATTR_COLD;
    static void _sequent__TOP__4(VMESQ__Syms* __restrict vlSymsp);
    static void _settle__TOP__5(VMESQ__Syms* __restrict vlSymsp) VL_ATTR_COLD;
  private:
    static void traceChgSub0(void* userp, VerilatedVcd* tracep);
    static void traceChgTop0(void* userp, VerilatedVcd* tracep);
    static void traceCleanup(void* userp, VerilatedVcd* /*unused*/);
    static void traceFullSub0(void* userp, VerilatedVcd* tracep) VL_ATTR_COLD;
    static void traceFullTop0(void* userp, VerilatedVcd* tracep) VL_ATTR_COLD;
    static void traceInitSub0(void* userp, VerilatedVcd* tracep) VL_ATTR_COLD;
    static void traceInitTop(void* userp, VerilatedVcd* tracep) VL_ATTR_COLD;
    void traceRegister(VerilatedVcd* tracep) VL_ATTR_COLD;
    static void traceInit(void* userp, VerilatedVcd* tracep, uint32_t code) VL_ATTR_COLD;
} VL_ATTR_ALIGNED(VL_CACHE_LINE_BYTES);

//----------


#endif  // guard
